#include<iostream>
#include<bits/stdc++.h>
using namespace std;
main()
{
	long long x1,x2,y1,y2,k;
	//cin>>"unesite kordinate";
	cin>>x1>>y1>>x2>>y2;
	if (x1==x2)
	{
		cout<<2;
	}
	else if (y1==y2)
	{
		cout<<2;
	}
	else if ((x1==x2)&&(y1==y2))
	{
		cout<<0;
	}
	else 
	{
		cout<<1;
	}
}